9f0630a148b8d2226fe0d1f07167bb6e8234d8a1
[platform/upstream/pygobject2.git] / gi / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 am__make_dryrun = \
20   { \
21     am__dry=no; \
22     case $$MAKEFLAGS in \
23       *\\[\ \   ]*) \
24         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
25           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
26       *) \
27         for am__flg in $$MAKEFLAGS; do \
28           case $$am__flg in \
29             *=*|--*) ;; \
30             *n*) am__dry=yes; break;; \
31           esac; \
32         done;; \
33     esac; \
34     test $$am__dry = yes; \
35   }
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkglibexecdir = $(libexecdir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 build_triplet = @build@
53 host_triplet = @host@
54 @OS_WIN32_TRUE@am__append_1 = \
55 @OS_WIN32_TRUE@ -no-undefined \
56 @OS_WIN32_TRUE@ -shrext ".pyd"
57
58 @ENABLE_CAIRO_TRUE@am__append_2 = _gi_cairo.la
59 subdir = gi
60 DIST_COMMON = $(pygi_PYTHON) $(srcdir)/Makefile.am \
61         $(srcdir)/Makefile.in
62 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
63 am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
64         $(top_srcdir)/m4/jhflags.m4 $(top_srcdir)/m4/libtool.m4 \
65         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
66         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
67         $(top_srcdir)/m4/python.m4 $(top_srcdir)/configure.ac
68 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
69         $(ACLOCAL_M4)
70 mkinstalldirs = $(install_sh) -d
71 CONFIG_HEADER = $(top_builddir)/config.h
72 CONFIG_CLEAN_FILES =
73 CONFIG_CLEAN_VPATH_FILES =
74 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
75 am__vpath_adj = case $$p in \
76     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
77     *) f=$$p;; \
78   esac;
79 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
80 am__install_max = 40
81 am__nobase_strip_setup = \
82   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
83 am__nobase_strip = \
84   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
85 am__nobase_list = $(am__nobase_strip_setup); \
86   for p in $$list; do echo "$$p $$p"; done | \
87   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
88   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
89     if (++n[$$2] == $(am__install_max)) \
90       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
91     END { for (dir in files) print dir, files[dir] }'
92 am__base_list = \
93   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
94   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
95 am__uninstall_files_from_dir = { \
96   test -z "$$files" \
97     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
98     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
99          $(am__cd) "$$dir" && rm -f $$files; }; \
100   }
101 am__installdirs = "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"
102 LTLIBRARIES = $(pygi_LTLIBRARIES)
103 am__DEPENDENCIES_1 =
104 @OS_WIN32_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
105 _gi_la_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1) \
106         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
107 am__gi_la_OBJECTS = _gi_la-pygi-repository.lo _gi_la-pygi-info.lo \
108         _gi_la-pygi-foreign.lo _gi_la-pygi-struct.lo \
109         _gi_la-pygi-source.lo _gi_la-pygi-argument.lo \
110         _gi_la-pygi-type.lo _gi_la-pygi-boxed.lo \
111         _gi_la-pygi-closure.lo _gi_la-pygi-ccallback.lo \
112         _gi_la-pygi-property.lo _gi_la-pygi-signal-closure.lo \
113         _gi_la-gimodule.lo _gi_la-pygi-invoke.lo _gi_la-pygi-cache.lo \
114         _gi_la-pygi-marshal-from-py.lo _gi_la-pygi-marshal-to-py.lo \
115         _gi_la-pygi-marshal-cleanup.lo
116 _gi_la_OBJECTS = $(am__gi_la_OBJECTS)
117 AM_V_lt = $(am__v_lt_@AM_V@)
118 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
119 am__v_lt_0 = --silent
120 _gi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
121         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_la_CFLAGS) $(CFLAGS) \
122         $(_gi_la_LDFLAGS) $(LDFLAGS) -o $@
123 _gi_cairo_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
124         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
125 am__gi_cairo_la_OBJECTS = _gi_cairo_la-pygi-foreign-cairo.lo
126 _gi_cairo_la_OBJECTS = $(am__gi_cairo_la_OBJECTS)
127 _gi_cairo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
128         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_cairo_la_CFLAGS) \
129         $(CFLAGS) $(_gi_cairo_la_LDFLAGS) $(LDFLAGS) -o $@
130 @ENABLE_CAIRO_TRUE@am__gi_cairo_la_rpath = -rpath $(pygidir)
131 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
132 depcomp = $(SHELL) $(top_srcdir)/depcomp
133 am__depfiles_maybe = depfiles
134 am__mv = mv -f
135 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
136         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
137 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
138         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
139         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
140         $(AM_CFLAGS) $(CFLAGS)
141 AM_V_CC = $(am__v_CC_@AM_V@)
142 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
143 am__v_CC_0 = @echo "  CC    " $@;
144 AM_V_at = $(am__v_at_@AM_V@)
145 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
146 am__v_at_0 = @
147 CCLD = $(CC)
148 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
149         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
150         $(AM_LDFLAGS) $(LDFLAGS) -o $@
151 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
152 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
153 am__v_CCLD_0 = @echo "  CCLD  " $@;
154 AM_V_GEN = $(am__v_GEN_@AM_V@)
155 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
156 am__v_GEN_0 = @echo "  GEN   " $@;
157 SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
158 DIST_SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
159 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
160         html-recursive info-recursive install-data-recursive \
161         install-dvi-recursive install-exec-recursive \
162         install-html-recursive install-info-recursive \
163         install-pdf-recursive install-ps-recursive install-recursive \
164         installcheck-recursive installdirs-recursive pdf-recursive \
165         ps-recursive uninstall-recursive
166 am__can_run_installinfo = \
167   case $$AM_UPDATE_INFO_DIR in \
168     n|no|NO) false;; \
169     *) (install-info --version) >/dev/null 2>&1;; \
170   esac
171 am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
172 py_compile = $(top_srcdir)/py-compile
173 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
174   distclean-recursive maintainer-clean-recursive
175 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
176         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
177         distdir
178 ETAGS = etags
179 CTAGS = ctags
180 DIST_SUBDIRS = $(SUBDIRS)
181 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
182 am__relativize = \
183   dir0=`pwd`; \
184   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
185   sed_rest='s,^[^/]*/*,,'; \
186   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
187   sed_butlast='s,/*[^/]*$$,,'; \
188   while test -n "$$dir1"; do \
189     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
190     if test "$$first" != "."; then \
191       if test "$$first" = ".."; then \
192         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
193         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
194       else \
195         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
196         if test "$$first2" = "$$first"; then \
197           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
198         else \
199           dir2="../$$dir2"; \
200         fi; \
201         dir0="$$dir0"/"$$first"; \
202       fi; \
203     fi; \
204     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
205   done; \
206   reldir="$$dir2"
207 ACLOCAL = @ACLOCAL@
208 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
209 AMTAR = @AMTAR@
210 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
211 AR = @AR@
212 AS = @AS@
213 AUTOCONF = @AUTOCONF@
214 AUTOHEADER = @AUTOHEADER@
215 AUTOMAKE = @AUTOMAKE@
216 AWK = @AWK@
217 CAIRO_CFLAGS = @CAIRO_CFLAGS@
218 CAIRO_LIBS = @CAIRO_LIBS@
219 CC = @CC@
220 CCDEPMODE = @CCDEPMODE@
221 CFLAGS = @CFLAGS@
222 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
223 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
224 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
225 CPP = @CPP@
226 CPPFLAGS = @CPPFLAGS@
227 CYGPATH_W = @CYGPATH_W@
228 DATADIR = @DATADIR@
229 DEFS = @DEFS@
230 DEPDIR = @DEPDIR@
231 DLLTOOL = @DLLTOOL@
232 DSYMUTIL = @DSYMUTIL@
233 DUMPBIN = @DUMPBIN@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 EGREP = @EGREP@
238 EXEEXT = @EXEEXT@
239 FFI_CFLAGS = @FFI_CFLAGS@
240 FFI_LIBS = @FFI_LIBS@
241 FGREP = @FGREP@
242 GENHTML = @GENHTML@
243 GIO_CFLAGS = @GIO_CFLAGS@
244 GIO_LIBS = @GIO_LIBS@
245 GI_CFLAGS = @GI_CFLAGS@
246 GI_DATADIR = @GI_DATADIR@
247 GI_LIBS = @GI_LIBS@
248 GLIB_CFLAGS = @GLIB_CFLAGS@
249 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
250 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
251 GLIB_LIBS = @GLIB_LIBS@
252 GLIB_MKENUMS = @GLIB_MKENUMS@
253 GOBJECT_QUERY = @GOBJECT_QUERY@
254 GREP = @GREP@
255 INSTALL = @INSTALL@
256 INSTALL_DATA = @INSTALL_DATA@
257 INSTALL_PROGRAM = @INSTALL_PROGRAM@
258 INSTALL_SCRIPT = @INSTALL_SCRIPT@
259 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
260 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
261 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
262 LCOV = @LCOV@
263 LD = @LD@
264 LDFLAGS = @LDFLAGS@
265 LIBFFI_PC = @LIBFFI_PC@
266 LIBOBJS = @LIBOBJS@
267 LIBS = @LIBS@
268 LIBTOOL = @LIBTOOL@
269 LIPO = @LIPO@
270 LN_S = @LN_S@
271 LTLIBOBJS = @LTLIBOBJS@
272 MAKEINFO = @MAKEINFO@
273 MANIFEST_TOOL = @MANIFEST_TOOL@
274 MKDIR_P = @MKDIR_P@
275 NM = @NM@
276 NMEDIT = @NMEDIT@
277 OBJDUMP = @OBJDUMP@
278 OBJEXT = @OBJEXT@
279 OTOOL = @OTOOL@
280 OTOOL64 = @OTOOL64@
281 PACKAGE = @PACKAGE@
282 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
283 PACKAGE_NAME = @PACKAGE_NAME@
284 PACKAGE_STRING = @PACKAGE_STRING@
285 PACKAGE_TARNAME = @PACKAGE_TARNAME@
286 PACKAGE_URL = @PACKAGE_URL@
287 PACKAGE_VERSION = @PACKAGE_VERSION@
288 PATH_SEPARATOR = @PATH_SEPARATOR@
289 PKG_CONFIG = @PKG_CONFIG@
290 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
291 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
292 PLATFORM = @PLATFORM@
293 PYCAIRO_CFLAGS = @PYCAIRO_CFLAGS@
294 PYCAIRO_LIBS = @PYCAIRO_LIBS@
295 PYGOBJECT_MAJOR_VERSION = @PYGOBJECT_MAJOR_VERSION@
296 PYGOBJECT_MICRO_VERSION = @PYGOBJECT_MICRO_VERSION@
297 PYGOBJECT_MINOR_VERSION = @PYGOBJECT_MINOR_VERSION@
298 PYTHON = @PYTHON@
299 PYTHON_BASENAME = @PYTHON_BASENAME@
300 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
301 PYTHON_INCLUDES = @PYTHON_INCLUDES@
302 PYTHON_LIBS = @PYTHON_LIBS@
303 PYTHON_LIB_LOC = @PYTHON_LIB_LOC@
304 PYTHON_PLATFORM = @PYTHON_PLATFORM@
305 PYTHON_PREFIX = @PYTHON_PREFIX@
306 PYTHON_VERSION = @PYTHON_VERSION@
307 RANLIB = @RANLIB@
308 SED = @SED@
309 SET_MAKE = @SET_MAKE@
310 SHELL = @SHELL@
311 STRIP = @STRIP@
312 THREADING_CFLAGS = @THREADING_CFLAGS@
313 VERSION = @VERSION@
314 abs_builddir = @abs_builddir@
315 abs_srcdir = @abs_srcdir@
316 abs_top_builddir = @abs_top_builddir@
317 abs_top_srcdir = @abs_top_srcdir@
318 ac_ct_AR = @ac_ct_AR@
319 ac_ct_CC = @ac_ct_CC@
320 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
321 am__include = @am__include@
322 am__leading_dot = @am__leading_dot@
323 am__quote = @am__quote@
324 am__tar = @am__tar@
325 am__untar = @am__untar@
326 bindir = @bindir@
327 build = @build@
328 build_alias = @build_alias@
329 build_cpu = @build_cpu@
330 build_os = @build_os@
331 build_vendor = @build_vendor@
332 builddir = @builddir@
333 datadir = @datadir@
334 datarootdir = @datarootdir@
335 docdir = @docdir@
336 dvidir = @dvidir@
337 exec_prefix = @exec_prefix@
338 host = @host@
339 host_alias = @host_alias@
340 host_cpu = @host_cpu@
341 host_os = @host_os@
342 host_vendor = @host_vendor@
343 htmldir = @htmldir@
344 includedir = @includedir@
345 infodir = @infodir@
346 install_sh = @install_sh@
347 libdir = @libdir@
348 libexecdir = @libexecdir@
349 localedir = @localedir@
350 localstatedir = @localstatedir@
351 mandir = @mandir@
352 mkdir_p = @mkdir_p@
353 oldincludedir = @oldincludedir@
354 pdfdir = @pdfdir@
355 pkgpyexecdir = @pkgpyexecdir@
356 pkgpythondir = @pkgpythondir@
357 prefix = @prefix@
358 program_transform_name = @program_transform_name@
359 psdir = @psdir@
360 pyexecdir = @pyexecdir@
361 pythondir = @pythondir@
362 sbindir = @sbindir@
363 sharedstatedir = @sharedstatedir@
364 srcdir = @srcdir@
365 sysconfdir = @sysconfdir@
366 target_alias = @target_alias@
367 top_build_prefix = @top_build_prefix@
368 top_builddir = @top_builddir@
369 top_srcdir = @top_srcdir@
370 SUBDIRS = \
371         repository \
372         overrides \
373         _glib \
374         _gobject
375
376 extension_cppflags = \
377         $(PYTHON_INCLUDES) \
378         -DPY_SSIZE_T_CLEAN
379
380 extension_ldflags = -module -avoid-version $(am__append_1)
381
382 # Windows requires Python modules to be explicitly linked to libpython.
383 # Extension modules are shared libaries (.dll), but need to be
384 # called .pyd for Python to load it as an extension module.
385 @OS_WIN32_TRUE@extension_libadd = \
386 @OS_WIN32_TRUE@ $(PYTHON_LIBS)
387
388 pygidir = $(pyexecdir)/gi
389 pygi_PYTHON = \
390         __init__.py \
391         types.py \
392         module.py \
393         importer.py \
394         pygtkcompat.py
395
396 pygi_LTLIBRARIES = _gi.la $(am__append_2)
397 _gi_la_SOURCES = \
398         pygi-repository.c \
399         pygi-repository.h \
400         pygi-info.c \
401         pygi-info.h \
402         pygi-foreign.c \
403         pygi-foreign.h \
404         pygi-struct.c \
405         pygi-struct.h \
406         pygi-source.c \
407         pygi-source.h \
408         pygi-argument.c \
409         pygi-argument.h \
410         pygi-type.c \
411         pygi-type.h \
412         pygi-boxed.c \
413         pygi-boxed.h \
414         pygi-closure.c \
415         pygi-closure.h \
416         pygi-ccallback.c \
417         pygi-ccallback.h \
418         pygi.h \
419         pygi-private.h \
420         pygi-property.c \
421         pygi-property.h \
422         pygi-signal-closure.c \
423         pygi-signal-closure.h \
424         pygobject-external.h \
425         gimodule.c \
426         pygi-invoke.c \
427         pygi-invoke.h \
428         pygi-invoke-state-struct.h \
429         pygi-cache.h \
430         pygi-cache.c \
431         pygi-marshal-from-py.c \
432         pygi-marshal-from-py.h \
433         pygi-marshal-to-py.c \
434         pygi-marshal-to-py.h \
435         pygi-marshal-cleanup.c \
436         pygi-marshal-cleanup.h
437
438 _gi_la_CFLAGS = \
439         $(GI_CFLAGS)
440
441 _gi_la_CPPFLAGS = \
442         $(extension_cppflags) \
443         -I$(top_srcdir)/gi/_glib \
444         -I$(top_srcdir)/gi/_gobject
445
446 _gi_la_LIBADD = \
447         $(extension_libadd) \
448         $(GI_LIBS) \
449         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
450
451 _gi_la_LDFLAGS = \
452         $(extension_ldflags) \
453         -export-symbols-regex "init_gi|PyInit__gi"
454
455 _gi_cairo_la_SOURCES = \
456         pygi-foreign-cairo.c
457
458 _gi_cairo_la_CFLAGS = \
459         $(GI_CFLAGS) \
460         $(PYCAIRO_CFLAGS)
461
462 _gi_cairo_la_CPPFLAGS = \
463         $(extension_cppflags) \
464         -I$(top_srcdir)/gi/_glib \
465         -I$(top_srcdir)/gi/_gobject
466
467 _gi_cairo_la_LIBADD = \
468         $(extension_libadd) \
469         $(GI_LIBS) \
470         $(PYCAIRO_LIBS)
471
472 _gi_cairo_la_LDFLAGS = \
473         $(extension_ldflags) \
474         -export-symbols-regex "init_gi_cairo|PyInit__gi_cairo"
475
476 all: all-recursive
477
478 .SUFFIXES:
479 .SUFFIXES: .c .la .lo .o .obj .so
480 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
481         @for dep in $?; do \
482           case '$(am__configure_deps)' in \
483             *$$dep*) \
484               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
485                 && { if test -f $@; then exit 0; else break; fi; }; \
486               exit 1;; \
487           esac; \
488         done; \
489         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gi/Makefile'; \
490         $(am__cd) $(top_srcdir) && \
491           $(AUTOMAKE) --foreign gi/Makefile
492 .PRECIOUS: Makefile
493 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
494         @case '$?' in \
495           *config.status*) \
496             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
497           *) \
498             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
499             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
500         esac;
501
502 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
503         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
504
505 $(top_srcdir)/configure:  $(am__configure_deps)
506         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
507 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
508         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
509 $(am__aclocal_m4_deps):
510 install-pygiLTLIBRARIES: $(pygi_LTLIBRARIES)
511         @$(NORMAL_INSTALL)
512         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
513         list2=; for p in $$list; do \
514           if test -f $$p; then \
515             list2="$$list2 $$p"; \
516           else :; fi; \
517         done; \
518         test -z "$$list2" || { \
519           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
520           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
521           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pygidir)'"; \
522           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pygidir)"; \
523         }
524
525 uninstall-pygiLTLIBRARIES:
526         @$(NORMAL_UNINSTALL)
527         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
528         for p in $$list; do \
529           $(am__strip_dir) \
530           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pygidir)/$$f'"; \
531           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pygidir)/$$f"; \
532         done
533
534 clean-pygiLTLIBRARIES:
535         -test -z "$(pygi_LTLIBRARIES)" || rm -f $(pygi_LTLIBRARIES)
536         @list='$(pygi_LTLIBRARIES)'; for p in $$list; do \
537           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
538           test "$$dir" != "$$p" || dir=.; \
539           echo "rm -f \"$${dir}/so_locations\""; \
540           rm -f "$${dir}/so_locations"; \
541         done
542 _gi.la: $(_gi_la_OBJECTS) $(_gi_la_DEPENDENCIES) $(EXTRA__gi_la_DEPENDENCIES) 
543         $(AM_V_CCLD)$(_gi_la_LINK) -rpath $(pygidir) $(_gi_la_OBJECTS) $(_gi_la_LIBADD) $(LIBS)
544 _gi_cairo.la: $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_DEPENDENCIES) $(EXTRA__gi_cairo_la_DEPENDENCIES) 
545         $(AM_V_CCLD)$(_gi_cairo_la_LINK) $(am__gi_cairo_la_rpath) $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_LIBADD) $(LIBS)
546
547 mostlyclean-compile:
548         -rm -f *.$(OBJEXT)
549
550 distclean-compile:
551         -rm -f *.tab.c
552
553 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo@am__quote@
554 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-gimodule.Plo@am__quote@
555 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-argument.Plo@am__quote@
556 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-boxed.Plo@am__quote@
557 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-cache.Plo@am__quote@
558 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-ccallback.Plo@am__quote@
559 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-closure.Plo@am__quote@
560 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign.Plo@am__quote@
561 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-info.Plo@am__quote@
562 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-invoke.Plo@am__quote@
563 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo@am__quote@
564 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo@am__quote@
565 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo@am__quote@
566 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-property.Plo@am__quote@
567 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-repository.Plo@am__quote@
568 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-signal-closure.Plo@am__quote@
569 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-source.Plo@am__quote@
570 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-struct.Plo@am__quote@
571 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-type.Plo@am__quote@
572
573 .c.o:
574 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
575 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
576 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
577 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
578 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
579
580 .c.obj:
581 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
582 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
583 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
584 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
585 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
586
587 .c.lo:
588 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
589 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
590 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
591 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
592 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
593
594 _gi_la-pygi-repository.lo: pygi-repository.c
595 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-repository.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-repository.Tpo -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
596 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-repository.Tpo $(DEPDIR)/_gi_la-pygi-repository.Plo
597 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-repository.c' object='_gi_la-pygi-repository.lo' libtool=yes @AMDEPBACKSLASH@
598 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
599 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
600
601 _gi_la-pygi-info.lo: pygi-info.c
602 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-info.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-info.Tpo -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
603 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-info.Tpo $(DEPDIR)/_gi_la-pygi-info.Plo
604 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-info.c' object='_gi_la-pygi-info.lo' libtool=yes @AMDEPBACKSLASH@
605 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
606 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
607
608 _gi_la-pygi-foreign.lo: pygi-foreign.c
609 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign.Tpo -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
610 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign.Tpo $(DEPDIR)/_gi_la-pygi-foreign.Plo
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign.c' object='_gi_la-pygi-foreign.lo' libtool=yes @AMDEPBACKSLASH@
612 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
613 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
614
615 _gi_la-pygi-struct.lo: pygi-struct.c
616 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-struct.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-struct.Tpo -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
617 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-struct.Tpo $(DEPDIR)/_gi_la-pygi-struct.Plo
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-struct.c' object='_gi_la-pygi-struct.lo' libtool=yes @AMDEPBACKSLASH@
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
620 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
621
622 _gi_la-pygi-source.lo: pygi-source.c
623 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-source.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-source.Tpo -c -o _gi_la-pygi-source.lo `test -f 'pygi-source.c' || echo '$(srcdir)/'`pygi-source.c
624 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-source.Tpo $(DEPDIR)/_gi_la-pygi-source.Plo
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-source.c' object='_gi_la-pygi-source.lo' libtool=yes @AMDEPBACKSLASH@
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
627 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-source.lo `test -f 'pygi-source.c' || echo '$(srcdir)/'`pygi-source.c
628
629 _gi_la-pygi-argument.lo: pygi-argument.c
630 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-argument.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-argument.Tpo -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
631 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-argument.Tpo $(DEPDIR)/_gi_la-pygi-argument.Plo
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-argument.c' object='_gi_la-pygi-argument.lo' libtool=yes @AMDEPBACKSLASH@
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
634 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
635
636 _gi_la-pygi-type.lo: pygi-type.c
637 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-type.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-type.Tpo -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
638 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-type.Tpo $(DEPDIR)/_gi_la-pygi-type.Plo
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-type.c' object='_gi_la-pygi-type.lo' libtool=yes @AMDEPBACKSLASH@
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
641 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
642
643 _gi_la-pygi-boxed.lo: pygi-boxed.c
644 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-boxed.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-boxed.Tpo -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
645 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-boxed.Tpo $(DEPDIR)/_gi_la-pygi-boxed.Plo
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-boxed.c' object='_gi_la-pygi-boxed.lo' libtool=yes @AMDEPBACKSLASH@
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
648 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
649
650 _gi_la-pygi-closure.lo: pygi-closure.c
651 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-closure.Tpo -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
652 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-closure.Tpo $(DEPDIR)/_gi_la-pygi-closure.Plo
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-closure.c' object='_gi_la-pygi-closure.lo' libtool=yes @AMDEPBACKSLASH@
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
655 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
656
657 _gi_la-pygi-ccallback.lo: pygi-ccallback.c
658 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-ccallback.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-ccallback.Tpo -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
659 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-ccallback.Tpo $(DEPDIR)/_gi_la-pygi-ccallback.Plo
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-ccallback.c' object='_gi_la-pygi-ccallback.lo' libtool=yes @AMDEPBACKSLASH@
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
663
664 _gi_la-pygi-property.lo: pygi-property.c
665 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-property.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-property.Tpo -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
666 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-property.Tpo $(DEPDIR)/_gi_la-pygi-property.Plo
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-property.c' object='_gi_la-pygi-property.lo' libtool=yes @AMDEPBACKSLASH@
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
669 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
670
671 _gi_la-pygi-signal-closure.lo: pygi-signal-closure.c
672 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-signal-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
673 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo $(DEPDIR)/_gi_la-pygi-signal-closure.Plo
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-signal-closure.c' object='_gi_la-pygi-signal-closure.lo' libtool=yes @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
677
678 _gi_la-gimodule.lo: gimodule.c
679 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-gimodule.lo -MD -MP -MF $(DEPDIR)/_gi_la-gimodule.Tpo -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
680 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-gimodule.Tpo $(DEPDIR)/_gi_la-gimodule.Plo
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gimodule.c' object='_gi_la-gimodule.lo' libtool=yes @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
684
685 _gi_la-pygi-invoke.lo: pygi-invoke.c
686 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-invoke.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-invoke.Tpo -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
687 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-invoke.Tpo $(DEPDIR)/_gi_la-pygi-invoke.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-invoke.c' object='_gi_la-pygi-invoke.lo' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
691
692 _gi_la-pygi-cache.lo: pygi-cache.c
693 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-cache.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-cache.Tpo -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
694 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-cache.Tpo $(DEPDIR)/_gi_la-pygi-cache.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-cache.c' object='_gi_la-pygi-cache.lo' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
698
699 _gi_la-pygi-marshal-from-py.lo: pygi-marshal-from-py.c
700 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-from-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
701 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-from-py.c' object='_gi_la-pygi-marshal-from-py.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
705
706 _gi_la-pygi-marshal-to-py.lo: pygi-marshal-to-py.c
707 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-to-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
708 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-to-py.c' object='_gi_la-pygi-marshal-to-py.lo' libtool=yes @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
712
713 _gi_la-pygi-marshal-cleanup.lo: pygi-marshal-cleanup.c
714 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-cleanup.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
715 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-cleanup.c' object='_gi_la-pygi-marshal-cleanup.lo' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
719
720 _gi_cairo_la-pygi-foreign-cairo.lo: pygi-foreign-cairo.c
721 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -MT _gi_cairo_la-pygi-foreign-cairo.lo -MD -MP -MF $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
722 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-cairo.c' object='_gi_cairo_la-pygi-foreign-cairo.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
726
727 mostlyclean-libtool:
728         -rm -f *.lo
729
730 clean-libtool:
731         -rm -rf .libs _libs
732 install-pygiPYTHON: $(pygi_PYTHON)
733         @$(NORMAL_INSTALL)
734         @list='$(pygi_PYTHON)'; dlist=; list2=; test -n "$(pygidir)" || list=; \
735         if test -n "$$list"; then \
736           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
737           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
738         fi; \
739         for p in $$list; do \
740           if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
741           if test -f $$b$$p; then \
742             $(am__strip_dir) \
743             dlist="$$dlist $$f"; \
744             list2="$$list2 $$b$$p"; \
745           else :; fi; \
746         done; \
747         for file in $$list2; do echo $$file; done | $(am__base_list) | \
748         while read files; do \
749           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pygidir)'"; \
750           $(INSTALL_DATA) $$files "$(DESTDIR)$(pygidir)" || exit $$?; \
751         done || exit $$?; \
752         if test -n "$$dlist"; then \
753           if test -z "$(DESTDIR)"; then \
754             $(am__py_compile) --basedir "$(pygidir)" $$dlist; \
755           else \
756             $(am__py_compile) --destdir "$(DESTDIR)" \
757                               --basedir "$(pygidir)" $$dlist; \
758           fi; \
759         else :; fi
760
761 uninstall-pygiPYTHON:
762         @$(NORMAL_UNINSTALL)
763         @list='$(pygi_PYTHON)'; test -n "$(pygidir)" || list=; \
764         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
765         test -n "$$files" || exit 0; \
766         dir='$(DESTDIR)$(pygidir)'; \
767         filesc=`echo "$$files" | sed 's|$$|c|'`; \
768         fileso=`echo "$$files" | sed 's|$$|o|'`; \
769         st=0; \
770         for files in "$$files" "$$filesc" "$$fileso"; do \
771           $(am__uninstall_files_from_dir) || st=$$?; \
772         done; \
773         exit $$st
774
775 # This directory's subdirectories are mostly independent; you can cd
776 # into them and run `make' without going through this Makefile.
777 # To change the values of `make' variables: instead of editing Makefiles,
778 # (1) if the variable is set in `config.status', edit `config.status'
779 #     (which will cause the Makefiles to be regenerated when you run `make');
780 # (2) otherwise, pass the desired values on the `make' command line.
781 $(RECURSIVE_TARGETS):
782         @fail= failcom='exit 1'; \
783         for f in x $$MAKEFLAGS; do \
784           case $$f in \
785             *=* | --[!k]*);; \
786             *k*) failcom='fail=yes';; \
787           esac; \
788         done; \
789         dot_seen=no; \
790         target=`echo $@ | sed s/-recursive//`; \
791         list='$(SUBDIRS)'; for subdir in $$list; do \
792           echo "Making $$target in $$subdir"; \
793           if test "$$subdir" = "."; then \
794             dot_seen=yes; \
795             local_target="$$target-am"; \
796           else \
797             local_target="$$target"; \
798           fi; \
799           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
800           || eval $$failcom; \
801         done; \
802         if test "$$dot_seen" = "no"; then \
803           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
804         fi; test -z "$$fail"
805
806 $(RECURSIVE_CLEAN_TARGETS):
807         @fail= failcom='exit 1'; \
808         for f in x $$MAKEFLAGS; do \
809           case $$f in \
810             *=* | --[!k]*);; \
811             *k*) failcom='fail=yes';; \
812           esac; \
813         done; \
814         dot_seen=no; \
815         case "$@" in \
816           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
817           *) list='$(SUBDIRS)' ;; \
818         esac; \
819         rev=''; for subdir in $$list; do \
820           if test "$$subdir" = "."; then :; else \
821             rev="$$subdir $$rev"; \
822           fi; \
823         done; \
824         rev="$$rev ."; \
825         target=`echo $@ | sed s/-recursive//`; \
826         for subdir in $$rev; do \
827           echo "Making $$target in $$subdir"; \
828           if test "$$subdir" = "."; then \
829             local_target="$$target-am"; \
830           else \
831             local_target="$$target"; \
832           fi; \
833           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
834           || eval $$failcom; \
835         done && test -z "$$fail"
836 tags-recursive:
837         list='$(SUBDIRS)'; for subdir in $$list; do \
838           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
839         done
840 ctags-recursive:
841         list='$(SUBDIRS)'; for subdir in $$list; do \
842           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
843         done
844
845 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
846         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
847         unique=`for i in $$list; do \
848             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
849           done | \
850           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
851               END { if (nonempty) { for (i in files) print i; }; }'`; \
852         mkid -fID $$unique
853 tags: TAGS
854
855 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
856                 $(TAGS_FILES) $(LISP)
857         set x; \
858         here=`pwd`; \
859         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
860           include_option=--etags-include; \
861           empty_fix=.; \
862         else \
863           include_option=--include; \
864           empty_fix=; \
865         fi; \
866         list='$(SUBDIRS)'; for subdir in $$list; do \
867           if test "$$subdir" = .; then :; else \
868             test ! -f $$subdir/TAGS || \
869               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
870           fi; \
871         done; \
872         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
873         unique=`for i in $$list; do \
874             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
875           done | \
876           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
877               END { if (nonempty) { for (i in files) print i; }; }'`; \
878         shift; \
879         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
880           test -n "$$unique" || unique=$$empty_fix; \
881           if test $$# -gt 0; then \
882             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
883               "$$@" $$unique; \
884           else \
885             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
886               $$unique; \
887           fi; \
888         fi
889 ctags: CTAGS
890 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
891                 $(TAGS_FILES) $(LISP)
892         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
893         unique=`for i in $$list; do \
894             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
895           done | \
896           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
897               END { if (nonempty) { for (i in files) print i; }; }'`; \
898         test -z "$(CTAGS_ARGS)$$unique" \
899           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
900              $$unique
901
902 GTAGS:
903         here=`$(am__cd) $(top_builddir) && pwd` \
904           && $(am__cd) $(top_srcdir) \
905           && gtags -i $(GTAGS_ARGS) "$$here"
906
907 distclean-tags:
908         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
909
910 distdir: $(DISTFILES)
911         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
912         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
913         list='$(DISTFILES)'; \
914           dist_files=`for file in $$list; do echo $$file; done | \
915           sed -e "s|^$$srcdirstrip/||;t" \
916               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
917         case $$dist_files in \
918           */*) $(MKDIR_P) `echo "$$dist_files" | \
919                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
920                            sort -u` ;; \
921         esac; \
922         for file in $$dist_files; do \
923           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
924           if test -d $$d/$$file; then \
925             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
926             if test -d "$(distdir)/$$file"; then \
927               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
928             fi; \
929             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
930               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
931               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
932             fi; \
933             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
934           else \
935             test -f "$(distdir)/$$file" \
936             || cp -p $$d/$$file "$(distdir)/$$file" \
937             || exit 1; \
938           fi; \
939         done
940         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
941           if test "$$subdir" = .; then :; else \
942             $(am__make_dryrun) \
943               || test -d "$(distdir)/$$subdir" \
944               || $(MKDIR_P) "$(distdir)/$$subdir" \
945               || exit 1; \
946             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
947             $(am__relativize); \
948             new_distdir=$$reldir; \
949             dir1=$$subdir; dir2="$(top_distdir)"; \
950             $(am__relativize); \
951             new_top_distdir=$$reldir; \
952             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
953             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
954             ($(am__cd) $$subdir && \
955               $(MAKE) $(AM_MAKEFLAGS) \
956                 top_distdir="$$new_top_distdir" \
957                 distdir="$$new_distdir" \
958                 am__remove_distdir=: \
959                 am__skip_length_check=: \
960                 am__skip_mode_fix=: \
961                 distdir) \
962               || exit 1; \
963           fi; \
964         done
965 check-am: all-am
966         $(MAKE) $(AM_MAKEFLAGS) check-local
967 check: check-recursive
968 all-am: Makefile $(LTLIBRARIES) all-local
969 installdirs: installdirs-recursive
970 installdirs-am:
971         for dir in "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"; do \
972           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
973         done
974 install: install-recursive
975 install-exec: install-exec-recursive
976 install-data: install-data-recursive
977 uninstall: uninstall-recursive
978
979 install-am: all-am
980         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
981
982 installcheck: installcheck-recursive
983 install-strip:
984         if test -z '$(STRIP)'; then \
985           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
986             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
987               install; \
988         else \
989           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
990             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
991             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
992         fi
993 mostlyclean-generic:
994
995 clean-generic:
996
997 distclean-generic:
998         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
999         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1000
1001 maintainer-clean-generic:
1002         @echo "This command is intended for maintainers to use"
1003         @echo "it deletes files that may require special tools to rebuild."
1004 clean: clean-recursive
1005
1006 clean-am: clean-generic clean-libtool clean-local \
1007         clean-pygiLTLIBRARIES mostlyclean-am
1008
1009 distclean: distclean-recursive
1010         -rm -rf ./$(DEPDIR)
1011         -rm -f Makefile
1012 distclean-am: clean-am distclean-compile distclean-generic \
1013         distclean-tags
1014
1015 dvi: dvi-recursive
1016
1017 dvi-am:
1018
1019 html: html-recursive
1020
1021 html-am:
1022
1023 info: info-recursive
1024
1025 info-am:
1026
1027 install-data-am: install-pygiLTLIBRARIES install-pygiPYTHON
1028
1029 install-dvi: install-dvi-recursive
1030
1031 install-dvi-am:
1032
1033 install-exec-am:
1034
1035 install-html: install-html-recursive
1036
1037 install-html-am:
1038
1039 install-info: install-info-recursive
1040
1041 install-info-am:
1042
1043 install-man:
1044
1045 install-pdf: install-pdf-recursive
1046
1047 install-pdf-am:
1048
1049 install-ps: install-ps-recursive
1050
1051 install-ps-am:
1052
1053 installcheck-am:
1054
1055 maintainer-clean: maintainer-clean-recursive
1056         -rm -rf ./$(DEPDIR)
1057         -rm -f Makefile
1058 maintainer-clean-am: distclean-am maintainer-clean-generic
1059
1060 mostlyclean: mostlyclean-recursive
1061
1062 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1063         mostlyclean-libtool
1064
1065 pdf: pdf-recursive
1066
1067 pdf-am:
1068
1069 ps: ps-recursive
1070
1071 ps-am:
1072
1073 uninstall-am: uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1074
1075 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
1076         ctags-recursive install-am install-strip tags-recursive
1077
1078 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1079         all all-am all-local check check-am check-local clean \
1080         clean-generic clean-libtool clean-local clean-pygiLTLIBRARIES \
1081         ctags ctags-recursive distclean distclean-compile \
1082         distclean-generic distclean-libtool distclean-tags distdir dvi \
1083         dvi-am html html-am info info-am install install-am \
1084         install-data install-data-am install-dvi install-dvi-am \
1085         install-exec install-exec-am install-html install-html-am \
1086         install-info install-info-am install-man install-pdf \
1087         install-pdf-am install-ps install-ps-am \
1088         install-pygiLTLIBRARIES install-pygiPYTHON install-strip \
1089         installcheck installcheck-am installdirs installdirs-am \
1090         maintainer-clean maintainer-clean-generic mostlyclean \
1091         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1092         pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
1093         uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1094
1095
1096 # This is to ensure we have a symlink to the .so in the
1097 # build directory, which the Python interpreter can load
1098 # directly without having to know how to parse .la files.
1099 .la.so:
1100         $(LN_S) -f .libs/$@ $@
1101
1102 # if we build in a separate tree, we need to symlink the *.py files from the
1103 # source tree; Python does not accept the extensions and modules in different
1104 # paths
1105 build_pylinks:
1106         for f in $(pygi_PYTHON); do \
1107             [ -e $(builddir)/$$f ] || $(LN_S) $(srcdir)/$$f $(builddir)/$$f; \
1108         done
1109
1110 all-local: $(LTLIBRARIES:.la=.so) build_pylinks
1111
1112 check-local: $(LTLIBRARIES:.la=.so) build_pylinks
1113 clean-local:
1114         rm -f $(LTLIBRARIES:.la=.so)
1115
1116 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1117 # Otherwise a system limit (for SysV at least) may be exceeded.
1118 .NOEXPORT: